status
| string | The current status of the fraud review:
flagged - The reward has been flagged for and waiting manual review.
blocked - The reward was reviewed and blocked.
released - The reward was reviewed and released.
|
reasons
| array string | The array may contain multiple reasons, depending on which rule(s) flagged the reward for review. Reasons can be any of the following:
Disallowed IP
Disallowed email
Disallowed country
Over reward amount limit
Over reward count limit
VPN detected
Apple Private Relay
Device related to multiple emails
Device or account related to multiple emails
IP on a Tremendous fraud list
Bank account on a Tremendous fraud list
Fingerprint on a Tremendous fraud list
Email on a Tremendous fraud list
Phone on a Tremendous fraud list
Device on a Tremendous fraud list
IP related to a blocked reward
Device related to a blocked reward
Bank account related to a blocked reward
Fingerprint related to a blocked reward
Email related to a blocked reward
Phone related to a blocked reward
Allowed IP
Allowed email
Allowed country
|
device_id
| string | The device fingerprint, if known. |
redemption_method
| string | The product selected to claim the reward |
redeemed_at
| string date-time | Date the reward was redeemed |
geo
| object | The Geo location, based on the recipient's IP. |
|
Show object properties
| Property |
Type |
Description |
ip
| string | The recipient's IP. |
country
| string | The country code (ISO-3166 alpha-2 character code) linked to the recipient's IP. |
city
| string | The city associated with the recipient's IP. |
|
reward
| object | A single reward, sent to a recipient. A reward is always part of an order. Either products or campaign_id must be specified. |
|
Show object properties
| Property |
Type |
Description |
id
| string | Tremendous ID of the reward |
order_id
| string | Tremendous ID of the order this reward is part of. |
created_at
| string date-time | Date the reward was created |
expires_at
| string date-time | Expiration date of the reward. If null, the reward does not expire. |
campaign_id
| string | ID of the campaign in your account, that defines the available products (different gift cards, charity, etc.)
that the recipient can choose from. |
products
| array string | List of IDs of product (different gift cards, charity, etc.) that will be available
to the recipient to choose from. Providing a products array will override the products made available by the campaign
specified using the campaign_id property unless the products array is empty. It will
not override other campaign attributes, like the message and customization of the look and feel. |
value
| object | |
Show object properties
| Property |
Type |
Description |
denomination
| number double | Amount of the reward |
currency_code
| string | Currency of the reward. Defaults to the organization's currency if not provided. |
|
recipient
| object | Details of the recipient of the reward |
Show object properties
| Property |
Type |
Description |
name
| string | Name of the recipient |
email
| string | Email address of the recipient |
phone
| string | Phone number of the recipient. For non-US phone numbers, specify the country code (prefixed with +). |
|
deliver_at
| string date | Timestamp of reward delivery within the next year. Note that if date-time is provided, the time values will be ignored. |
custom_fields
| array | |
Show array item type
| Property |
Type |
Description |
id
| string | Tremendous ID of the custom field |
value
| string | Value of the custom field |
label
| string | Label of the custom field |
|
delivery
| object | Details on how the reward is delivered to the recipient. |
Show object properties
| Property |
Type |
Description |
method
| string | How to deliver the reward to the recipient.
| Delivery Method |
Description |
EMAIL |
Deliver the reward to the recipient by email |
LINK |
Deliver the reward to the recipient via a link.
The initial POST /orders response for a link reward includes the link in delivery.link.
The link must then be delivered to the recipient out-of-band.
To obtain a new link for an existing reward, call POST /rewards/{id}/generate_link.
|
PHONE |
Deliver the reward to the recipient by SMS |
|
status
| string | Current status of the delivery of the reward:
SCHEDULED - Reward is scheduled for delivery and will be delivered soon.
FAILED - Delivery of reward failed (e.g. email bounced).
SUCCEEDED - Reward was successfully delivered (email or text message delivered or reward link active).
PENDING - Delivery is pending but not yet scheduled.
|
|
|
reviewed_by
| string | The name of the person who reviewed the reward, or Automatic Review if the reward was blocked automatically.
Rewards can be automatically blocked if they remain in the flagged fraud queue for more than 30 days. This field is only present if the status is not flagged. |
reviewed_at
| string date-time | When the reward was blocked or released following fraud review. This field is only present if the status is not flagged. |
redemption_method_account_hash
| string | A hash of the destination account for redemption methods that require providing 3rd party account details
(e.g., PayPal, Venmo, ACH/CashApp, international bank transfers, etc.). The hash is globally unique by redemption
method + account combination. This field is omitted for redemption methods that don't have a destination
account (e.g., merchant cards, charities, etc.). |
risk
| string | The fraud risk associated with the reward. |
related_rewards
| object | The related rewards associated with the fraud review. |
|
Show object properties
| Property |
Type |
Description |
ids
| array string | The IDs of rewards that have similar attributes to the fraud reward.
A maximum of 100 IDs is returned. |
count
| number | How many related rewards were found in total. |
blocked_count
| number | How many related rewards have been blocked. |
aggregated_value
| number double | Total amount claimed by the related rewards, denominated in currency_code. |
currency_code
| string | Currency of the aggregated value. Always matches the organization's currency. |
|